<!DOCTYPE html>
<html>

<head>
  <title>knq-combo Web Component</title>
  <script type="module" src="../knq-combo.js"></script>
  <style>
    body {
      color: #212121;
      font-size: 13px;
      font-family: 'Helvetica Neue', sans-serif;
      background: #ECEFF1;
      padding: 2em;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    .form {
      display: flex;
      flex-direction: column;
      width: 400px;
      height: 500px;
      padding: 24px;
      background: white;
    }
    hr {
      margin-top: 24px;
    }
    #KNQComboOverlay {
      background: white;
      box-shadow: 0 0 4px rgba(0, 0, 0, 0.5);
    }
    .ComboItem {
      padding: 4px 8px;
      border-bottom: 1px solid lightgray;
      cursor: pointer;
    }
    .ComboItem:last-child {
      border-bottom: 0;
    }
    .ComboItem:hover {
      background: rgba(0, 0, 0, 0.1);
    }
    .UserComboItem {
      padding: 4px 8px;
      border-bottom: 1px solid lightgray;
      cursor: pointer;
      display: flex;
      align-items: center;
    }
    .UserComboItem:last-child {
      border-bottom: 0;
    }
    .UserComboItem:hover {
      background: rgba(0, 0, 0, 0.1);
    }
    .UserComboItem__img {
      width: 20px;
      height: 20px;
      border-radius: 50%;
      margin-right: 16px;
      background: rgba(0, 0, 0, 0.1);
      display: flex;
      align-items: center;
      justify-content: center;
    }

    .UserOverlay {
      margin-top: 16px;
    }
  </style>
</head>

<body>
  <div class="form">
    <label for="combo">Combo</label>
    <knq-combo id="combo"></knq-combo>
    <hr>
    <label for="combo">Users</label>
    <knq-combo id="usersCombo" overlayClass="UserOverlay"
      labelAttr="name" valueAttr="_id"></knq-combo>
  </div>

  <script type="module" src="./demo.js"></script>
</body>

</html>